<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
    </head>
    <body>
        
        <script type="text/javascript">
        
        riduzioneW_digitalRain = 0;
        riduzioneH_digitalRain = 0;
        
        </script>
        
        <?php require '../common/scala_inizio.php'; ?>
        
        <div id="contenitore">
            <canvas id="c"></canvas>
        </div>
    
<style>

* {
    margin: 0; 
    padding: 0;
}

body {
    background: black;
}
canvas {
    
    display: block; 
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
        
}        



#contenitore{
    
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    overflow: hidden;
/*    border: 1px solid white;*/
    
}

            
</style>
        

<script type="text/javascript">


<?php 


$coloreScritte = preg_replace("/[^a-zA-Z0-9\#]/", '', str_replace("0x", "#", $_GET['col']?:"#5F5"));


function getJsonAsciiArt($nomeFile, $offsetX=0, $offsetY=0){
    
    $ret = file_get_contents("ascii_art/$nomeFile.txt");
    
        
    $ret = explode("\n", $ret);

    $matrice=[];

    foreach($ret as $i => $riga){

        $riga = str_split($riga);
            
        foreach($riga as $j => $char){

            $matrice[$i][$j] = in_array($char, [' ','.',',','/','(',')','*',',','','','',])?0:1;

        }

    }
    
    $rigaMatrice2 = array_fill(0, 200, 0);
    $matrice2 = array_fill(0, 200, $rigaMatrice2);
    
    foreach($matrice as $i => $riga){
        foreach($riga as $j => $isPixelAcceso){
            
            $x = round($j/2) + $offsetX;
            $y = $i + $offsetY;
            
            if($x>=0 && $y>=0){
                
                $matrice2[$x][$y] = $isPixelAcceso;
                
            }
            
            
        }
    }
    
    $matrice = $matrice2;

    
    return json_encode($matrice);
    
}


$arrayMatrici = [
    getJsonAsciiArt("p_sola2x", 18, 6),
    getJsonAsciiArt("guy", 14, 1),
    getJsonAsciiArt("logoscritta", 4, 6),
    
//    getJsonAsciiArt("p", 4, 5),
];


?>

var attivaLoghi = <?= (count($arrayMatrici)>0) ? "true" : "false"; ?>;


var timerAnimazione = 0;

setInterval(function(){
    timerAnimazione++;
}, 100);


var contatoreCicloScanCompleto = 0;


var matriciLogo = [<?= implode(",", $arrayMatrici); ?>];


var logoCorrente = 0;

var matriceLogo = matriciLogo[logoCorrente];




var c = document.getElementById("c");
var ctx = c.getContext("2d");


c.width = 960; 
c.height = 595; 


var setCaratteri = "アイウエオカキクケコガギグゲゴサシスセソザジズゼゾタチツテトダヂヅデドナニヌネノハヒフヘホバビブベボパピプペポマミムメモヤユヨラリルレロワヲン";

setCaratteri = setCaratteri.split("");

//var font_size = 16; // caratteri grandi
var font_size = 12; // per guy

var colonne = c.width/font_size; 

var cursori = [];

for(var x = 0; x < colonne; x++){
    cursori[x] = 1; 
}

function draw()
{
	
	ctx.fillStyle = "rgba(0, 0, 0, 0.05)";
	ctx.fillRect(0, 0, c.width, c.height);
	
	ctx.fillStyle = "<?= $coloreScritte ?>"; 
	ctx.font = font_size + "px arial";
	
	for(var i = 0; i < cursori.length; i++)
	{
		
		var text = setCaratteri[Math.floor(Math.random()*setCaratteri.length)];
		
		ctx.fillText(text, i*font_size, cursori[i]*font_size);
		
                if(attivaLoghi){
                    
                    inserisciInArrayLogo(i, cursori[i], text);

                    rimuoviDaArrayLogo(i, cursori[i]);
                
                }
                
		if(cursori[i]*font_size > c.height && Math.random() > 0.975){
                    
                    cursori[i] = 0;
                    
                    if(i==0){
                        contatoreCicloScanCompleto++;
                    }
                    
                }
		
		cursori[i]++;
	}
        
        if(attivaLoghi){
            
            disegnaLogo();
            
        }
        
}


// decimi di secondo:
var iniziaLoghiDa = 24;
var iniziaACancellareDa = 180;
var iniziaARidisegnareA = iniziaACancellareDa+80;


var loghiIniziati = false;
var arrayLogo = {};


setInterval(draw, 50);

function rimuoviDaArrayLogo(x,y){
    
    if(timerAnimazione<=iniziaACancellareDa) return;
    
    if(matriceLogo.length<=x) return;
    
    if(matriceLogo[x].length<=y) return;
    
    if(matriceLogo[x][y] == 1){
        
        var key = x+"_"+y;
        
        delete arrayLogo[key];
        
    }
    
}

function inserisciInArrayLogo(x,y,lettera){
    
    if(!loghiIniziati) return;
    
    if(matriceLogo.length<=x) return;
    
    if(matriceLogo[x].length<=y) return;
    
    if(matriceLogo[x][y] == 1){
        
        var key = x+"_"+y;
        
        arrayLogo[key] = {
            "x":x,
            "y":y,
            "lettera":lettera
        };
        
    }
    
}

function disegnaLogo(){
    
//    console.log(arrayLogo);
    
    for(var i in arrayLogo){
        
        var elem = arrayLogo[i];
        
        // non mette la lettera originale, ma un altra per fare l'effetto blur
        var textRandom = setCaratteri[Math.floor(Math.random()*setCaratteri.length)];
        
        
        ctx.fillStyle = "rgba(0, 0, 0, 0.24)";
	ctx.fillRect(elem.x*font_size, (elem.y-1)*font_size, font_size, font_size);
        
        
        ctx.fillStyle = "<?= $coloreScritte ?>"; 

        ctx.fillText(textRandom, elem.x*font_size, elem.y*font_size);
        
    }
    
    
    if(timerAnimazione > iniziaLoghiDa){
        loghiIniziati = true;
    }
    
    if(timerAnimazione > iniziaARidisegnareA){
        
        timerAnimazione = 0;
        
        logoCorrente = (logoCorrente+1) % matriciLogo.length;

        matriceLogo = matriciLogo[logoCorrente];
        
        arrayLogo = {};
        
    }
    
    
}


    
</script>

    <?php require '../common/scala_fine.php'; ?>

</body></html>