<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        
        <script type="text/javascript" src="../common/jquery-1.9.0.min.js"></script>
        <script type="text/javascript" src="../common/jquery.easing.1.3.js"></script>
        
    </head>
    <body>
    
        
        <?php require '../common/scala_inizio.php'; ?>
        
        
    <div id="contenitore">
        
        <div id="main">
            <img class="glow" id="glow0" src="glow.png"/>
            <img class="glow" id="glow1" src="glow.png"/>
            <img class="glow" id="glow2" src="glow.png"/>
            <img class="glow" id="glow3" src="glow.png"/>
            <img class="glow" id="glow4" src="glow.png"/>
            <img class="glow" id="glow5" src="glow.png"/>
            <img class="glow" id="glow6" src="glow.png"/>
            
            
            <?php for ($i = 7; $i < 32; $i++) { ?>
            <img class="glow glowpcb" id="glow<?php echo $i; ?>" src="glow.png"/>
            <?php } ?>
            
            
            <img id="maschera" src="mascherapcb2.png"/>
            
            <div id="logo-overlay">
                <div id="sfondo-logo-overlay1" class="sfondo-logo-overlay"></div>
                <div id="logo-overlay-interno">
                    <img id="layer1" src="l1_shadow.png"/>
                    <img id="layer2" src="l2_scritta.png"/>
                    <img id="layer3" src="l3_glow.png"/>
                </div>
            </div>
            
        </div>
        
    </div>
        
<style>

    #logo-overlay{
        
        overflow: hidden;
/*        background: black;*/
        
        position: absolute;
        bottom: -6px;
        left: 0;
        z-index: 1000;
        
        padding: 13px;
        padding-bottom: 3px;
        padding-left: 0;
        
    }
    
    .sfondo-logo-overlay{
        position: absolute;
        background: black;
        
        width: 1000px;
        height: 1000px;
        transform: rotate(45deg);
        top: 30px;
        left: -380px;
        
    }
    
    #sfondo-logo-overlay1{
        
        transform: rotate(0deg);
        top: 78px;
        left: -632px;
    }
    #sfondo-logo-overlay2{
        
        width: 30px;
        height: 30px;
        transform: rotate(0deg);
        top: 30px;
        left: -380px;
    }
    #sfondo-logo-overlay3{
        
        top: 30px;
        left: -380px;
    }
    #sfondo-logo-overlay4{
        
        top: 30px;
        left: -380px;
    }
    #sfondo-logo-overlay5{
        
    }
    
    #logo-overlay-interno{
        position: relative;
    }
    
    #logo-overlay img{
        position: absolute;
        bottom: 0;
        right: 0;
        width: 100%;
        display: block;
    }
    
    #logo-overlay #layer1{
        position: relative;
        width: 362px;
    }
    
    #layer1{
        opacity: 0.65;
    }
    #layer2{
        
    }
    #layer3{
        opacity: 0;
    }
    
    
* {margin: 0; padding: 0;}

body {
    background: black;
}

#contenitore{
    
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    overflow: hidden;
/*    border: 1px solid white;*/
    
}

#main{
    
    display: none;
    
    background: #5cb8ff;
    
    position: absolute;
    top: 0;
    left: 0;
    width: 640px;
    height: 360px;
    
    
    overflow: hidden;
    
    margin-top: 30px;
    
    transform: scale(1.50);
    transform-origin: 0 0;
    
}


#maschera,
#maschera2{
    
    z-index: 102;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
   
}

#maschera2{
    
    z-index: 103;
    opacity: 0;
}

.glow{
    
    z-index: 101;
    position: absolute;
    top: -500px;
    left: -500px;
    
    margin-top: -35px;
    margin-left: -35px;
    
}

.glowpcb{
    
    margin-top: -11px;
    margin-left: -11px;
    height: 22px;
    width: 22px;
    
}

</style>



<script type="text/javascript">

var opzioni = {
  "varianti":[
      {
          "variabile":"regolarita",
          "selezionato":"<?= $_GET['regolare']?:"no" ?>",
          "valori":[
              "si",
              "no"
          ]
      }, 
      {
          "variabile":"colore",
          "selezionato":"#<?= $_GET['col']?:"4488ff" ?>"
      },
      {
          "variabile":"disegno",
          "selezionato":"<?= $_GET['img']?:"circuito" ?>",
          "valori":[
              "linee",
              "circuito"
          ]
      }
  ]
};


</script>


<script type="text/javascript">
    
    var durataGlow = 1400;
    
    function glowUp(){
        
        $("#layer3").animate({opacity:0.8}, durataGlow, "easeInOutSine", function(){
            glowDown();
        });
        
    }
    
    function glowDown(){
        
        $("#layer3").animate({opacity:0}, durataGlow, "easeInOutSine", function(){
            glowUp();
        });
        
    }
    
    $(function(){
       
       glowUp();
       
    });
    
    
    var stopTemporale = false;
    
    
    
    var isPcb = opzioni.varianti[2].selezionato === "circuito";
    
    
    if(getQueryVariable('random')=='true'){
        
        isPcb = (Math.random()*100)>40;
        
    }
    
    
    
    var coefficienteVelocita = 8; // valore alto = lento
    
    
    
    
    var elementiGlow = new Array();
    
    var varianteReg = opzioni.varianti[0];
    var isRegolare = varianteReg.selezionato === "si";
    
    var udm = "px";
    //var udm = "%";
    
    
    var translateGlobaleTop = -692.36217;
    var translateGlobaleLeft = 0;
    
    
    
    var coordinate = [

       [{left:-46.615164,top:875.65822},{left:487.585224,top:0},{left:69.51898,top:-69.51899},{left:181.8922,top:0}],
       [{left:-46.615164,top:829.94711},{left:407.590774,top:0},{left:69.51898,top:-69.51899},{left:260.93431,top:0}],
       [{left:-46.615164,top:784.23601},{left:295.217614,top:0},{left:69.99515,top:-69.99514},{left:372.8313,top:0}],
       [{left:-46.615164,top:738.52491},{left:208.556964,top:0},{left:20.47477,top:-20.47477},{left:0,top:-72.85209}],
       [{left:-46.615164,top:967.74708},{left:250.458824,top:0},{left:20.47476,top:20.4747},{left:468.06275,top:0}],
       [{left:-46.615164,top:922.03106},{left:340.260734,top:0},{left:26.99924,top:26.99922},{left:371.2602,top:0}],
       [{left:-46.615164,top:1013.4533},{left:213.378064,top:0},{left:14.40376,top:14.4038},{left:246.53051,top:0},{left:72.43546,top:72.4354}]

    ];
    
    
    
    // 644
    if(isPcb){
        
        coefficienteVelocita = 30;
        translateGlobaleTop = 0;
        
        
        
        <?php if(isset($_GET['recordvideo'])){ ?>
        
        coefficienteVelocita = 120;
        setTimeout(function(){
            stopTemporale = true;
        },1000*100*4);
        
        <?php } ?>
        
        
        coordinate = [
[{left:-47.142857,top:40.714286},{left:52.142857,top:40.714286},{left:151.07143,top:139.64286},{left:151.07143,top:181.42857},{left:189.46429,top:219.82143},{left:274.84822,top:219.82143},{left:291.61607,top:234.82143},{left:308.21428,top:234.82143}],
[{left:-47.857143,top:99.285714},{left:25.714286,top:99.285714},{left:33.214286,top:106.78571},{left:33.214286,top:154.28571},{left:150.17857,top:271.25},{left:150.17857,top:327.85714},{left:512.5,top:327.85714},{left:528.21429,top:310.71429},{left:583.21429,top:310.71429},{left:606.25,top:289.46428},{left:690.05241,top:289.51489}],
[{left:-47.142857,top:82.142857},{left:12.142857,top:141.42857},{left:12.142857,top:192.14286},{left:23.928571,top:203.92857},{left:23.928571,top:227.14286},{left:67.142857,top:227.14286},{left:67.142857,top:283.57143},{left:-47.142857,top:283.57143}],
[{left:-47.857143,top:259.28571},{left:48.571429,top:259.28571}],
[{left:17.142857,top:310},{left:92.857143,top:310},{left:92.857143,top:252.14286}],
[{left:-47.857143,top:333.57143},{left:36.428571,top:333.57143},{left:43.928571,top:341.07143},{left:523.57143,top:341.07143},{left:537.67857,top:325.53572},{left:592.85714,top:325.53572},{left:613.85506,top:305.60923},{left:690.40257,top:305.4576}],
[{left:-47.857143,top:353.57143},{left:535,top:353.57143},{left:547.5,top:341.07143},{left:602.14286,top:341.07143},{left:621.25,top:321.96429},{left:690,top:321.96429}],
[{left:181.42857,top:309.28571},{left:200,top:309.28571},{left:207.85714,top:317.14286},{left:345.71429,top:317.14286},{left:345.71429,top:295.71429}],
[{left:90.408653,top:646.28085},{left:90.408653,top:698.3037},{left:119.95561,top:727.85066},{left:119.95561,top:745.2758}],
[{left:119.28571,top:-47.857143},{left:119.28571,top:12.142857},{left:137.85714,top:30.714286},{left:137.85714,top:52.142857}],
[{left:136.42857,top:-47.857143},{left:136.42857,top:6.4285712},{left:156.42857,top:26.428571},{left:156.42857,top:52.857143}],
[{left:188.57143,top:-47.142857},{left:188.57143,top:143.57143},{left:215,top:170},{left:308.57143,top:170},{left:321.42857,top:157.14286},{left:422.85714,top:157.14286},{left:441.42857,top:175.71429},{left:441.42857,top:188.57143},{left:461.42857,top:208.57143},{left:530,top:208.57143},{left:543.92857,top:194.64286},{left:691.66646,top:194.64286}],
[{left:200.71429,top:-47.857143},{left:200.71429,top:132.85714},{left:212.5,top:144.64286},{left:295,top:144.64286},{left:306.25,top:133.39286},{left:435.71429,top:133.39286},{left:459.73214,top:157.41071},{left:517.85714,top:157.41071},{left:530.9375,top:170.49107},{left:587.90878,top:170.49107},{left:618.93413,top:138.4424},{left:689.64615,top:138.67126}],
[{left:267.85714,top:-34.285714},{left:226.07143,top:7.4999998},{left:226.07143,top:63.571428},{left:233.39286,top:70.892857},{left:233.39286,top:94.285714},{left:300.71429,top:94.285714},{left:313.92857,top:81.071428},{left:498.57143,top:81.071428},{left:504.28571,top:87.857143},{left:504.28571,top:107.14286},{left:518.21429,top:121.07143},{left:537.90623,top:121.07143},{left:575.34607,top:121.00345},{left:680.55478,top:16.015565}],
[{left:287.85714,top:-35.714286},{left:238.21429,top:13.928571},{left:238.21429,top:38.571428},{left:250.89286,top:51.25}],
[{left:308.57143,top:-46.428572},{left:308.57143,top:25},{left:257.14286,top:25}],
[{left:270,top:69.285714},{left:289.28571,top:69.285714},{left:289.28571,top:57.142857},{left:327.14286,top:57.142857},{left:327.14286,top:12.142857},{left:333.21429,top:6.0714284},{left:365.71429,top:6.0714284},{left:365.71429,top:30},{left:473.57143,top:30},{left:473.57143,top:25},{left:517.14286,top:25},{left:517.14286,top:88.571428},{left:523.21429,top:94.642857},{left:568.21081,top:94.642857},{left:669.94818,top:-8.8977788}],
[{left:346.42857,top:25},{left:346.42857,top:42.857143},{left:477.85714,top:42.857143},{left:477.85714,top:70}],
[{left:345.71429,top:70},{left:377.85714,top:70},{left:385.71429,top:62.142857},{left:435,top:62.142857}],
[{left:345.71429,top:94.285714},{left:478.57143,top:94.285714}],
[{left:162.14286,top:-47.142857},{left:162.14286,top:6.4285712},{left:174.64286,top:18.928571},{left:174.64286,top:164.28571},{left:194.10714,top:183.75},{left:297.14286,top:183.75},{left:310.26786,top:196.875},{left:357.85714,top:196.875},{left:365.13393,top:204.15179},{left:365.13393,top:221},{left:377.99554,top:233.86161},{left:420.07142,top:233.92857},{left:420.07142,top:209.28571},{left:409,top:198.21429},{left:409,top:177.14286}],
[{left:478.57143,top:170},{left:505,top:170},{left:511.42857,top:176.42857}],
[{left:345.97725,top:862.20095},{left:379.05974,top:862.20095},{left:384.86812,top:868.00933},{left:384.86812,top:900.33421}],
[{left:-47.142857,top:713.79074},{left:61.428571,top:713.79074},{left:162.85714,top:815.21931},{left:162.85714,top:869.50503},{left:182.14286,top:888.79074},{left:288.57143,top:888.79074},{left:307.14286,top:907.36217},{left:326.25,top:907.4622},{left:327.14286,top:941.93359},{left:394.60714,top:941.9336},{left:408.72768,top:957.33092},{left:424.77679,top:957.1568},{left:460.44643,top:923.09431},{left:540.43161,top:923.09431},{left:562.47032,top:902.43348},{left:691.02652,top:901.88111}],
[{left:316.60714,top:796.82645},{left:320.44643,top:800.39788},{left:455,top:800.39788},{left:467.76786,top:813.16574},{left:478.57143,top:813.16574}],
[{left:56.568542,top:844.27075},{left:201.02036,top:988.72256},{left:313.65237,top:988.72256},{left:326.27927,top:976.09565},{left:358.60415,top:976.09565},{left:388.65927,top:1006.508},{left:472.75139,top:1006.508},{left:472.75139,top:973.67796},{left:534.6158,top:973.67796},{left:550.2806,top:988.98561},{left:573.26157,top:988.98561},{left:616.40598,top:949.76977},{left:690.43926,top:949.76977}],
[{left:478.81231,top:836.6946},{left:523.25902,top:836.6946},{left:535.88593,top:849.32151},{left:580.33264,top:849.32151},{left:688.41896,top:741.23519}],
[{left:-47.857143,top:771.64788},{left:34.285714,top:771.64788},{left:125,top:862.71931},{left:125,top:894.50503},{left:194.10714,top:964.32646},{left:280.12355,top:963.79019},{left:285.97607,top:964.27479},{left:373.21429,top:964.38991},{left:396.96429,top:988.61217},{left:432.85714,top:988.61217},{left:462.41072,top:959.0586},{left:548.21429,top:959.0586},{left:561.59664,top:972.96521},{left:602.30345,top:934.10092},{left:689.93419,top:934.10092}],
[{left:213.57143,top:644.50503},{left:213.57143,top:805.9336},{left:220.35714,top:812.71931},{left:447.49758,top:811.94586},{left:460.37702,top:824.82531},{left:536.391,top:824.82531},{left:548.6391,top:837.07341},{left:554.57375,top:837.07341},{left:572.75649,top:837.07341},{left:686.58806,top:723.24184}],
[{left:345.97725,top:836.6946},{left:427.7996,top:836.6946},{left:453.05342,top:861.94842},{left:453.05342,top:868.51441},{left:459.87195,top:875.33294},{left:490.42906,top:875.33294},{left:502.9297,top:887.83357},{left:522.75394,top:887.83357},{left:535.19145,top:875.39607},{left:690.43926,top:875.39607}],
[{left:410,top:646.64788},{left:410,top:708.07646},{left:451.42857,top:708.07646},{left:451.42857,top:700.9336},{left:532.85714,top:700.9336},{left:549.28571,top:717.36217},{left:549.28571,top:735.9336},{left:549.28571,top:755.9336},{left:555.35714,top:762.00503},{left:560.71429,top:762.00503},{left:668.39286,top:654.32646}],
[{left:-47.857143,top:751.64788},{left:44.285714,top:751.64788},{left:137.14286,top:844.50503},{left:137.14286,top:889.50503},{left:187.85714,top:940.21931},{left:287.5,top:940.21931},{left:300.71429,top:953.20335},{left:386.21429,top:953.07643},{left:401.80357,top:969.64786},{left:429.10714,top:969.50501},{left:460.44643,top:938.88001},{left:551.57447,top:938.88001},{left:572.32746,top:918.21918},{left:691.02652,top:917.66681}]
];

       
    }
    
    
    
    
    
    for(var i = 0; i<coordinate.length;i++){
        
        coordinate[i][0].top += translateGlobaleTop;
        coordinate[i][0].left += translateGlobaleLeft;
        
        
        if(isPcb && (coordinate[i][0].top > 642.0) ){
            coordinate[i][0].top -= 692.36217;
        }
        
        
        for(var j = 1; j<coordinate[i].length;j++){
            
            if(isPcb && (coordinate[i][j].top > 642.0) ){
                coordinate[i][j].top -= 692.36217;
            }

            
            if(!isPcb){
                coordinate[i][j].top += coordinate[i][j-1].top;
                coordinate[i][j].left += coordinate[i][j-1].left;
            }
            
            coordinate[i][j].dist = Math.sqrt( Math.pow( coordinate[i][j-1].top - coordinate[i][j].top ,2)+Math.pow( coordinate[i][j-1].left - coordinate[i][j].left ,2) );
            
            coordinate[i][j].dist = (coordinate[i][j].dist * 100) / 960;
         
        }
        
    }
    
    //console.log(coordinate);
    
    
    function getQueryVariable(variable)
    {
       var query = window.location.search.substring(1);
       var vars = query.split("&");
       for (var i=0;i<vars.length;i++) {
               var pair = vars[i].split("=");
               if(pair[0] == variable){return pair[1];}
       }
       return(false);
    }
    
    
    
    function animaPath(iGlow){
        
        var elem = elementiGlow[iGlow];
        var arraycoord = coordinate[iGlow];
        
        
        var coordIniz = arraycoord[0];
        
        var numsteps = arraycoord.length-1;
        
        elem.css({top:coordIniz.top+udm,left:coordIniz.left+udm});
        
        for(var i=0;i<numsteps;i++){
            
            var coord = arraycoord[i+1];
            
            var dist = arraycoord[i+1].dist;
            
            var valoricssanim = {top:coord.top+udm,left:coord.left+udm};
            var duratamovimento = coefficienteVelocita*dist;
            
            if( i<numsteps-1 ){
                
                elem.animate(valoricssanim,duratamovimento,"linear");
                
            }else{
                
                elem.animate(valoricssanim,duratamovimento,"linear",function(){
                    
                    elem.css({top:"-300px",left:"-300px"});
                    
                    if( ! isRegolare && !stopTemporale ){
                    
                        var moltiplicatoreTempo = 1;
                        
                        if( isPcb && coordinate[iGlow].length < 5 ){
                            moltiplicatoreTempo = 3;
                        }
                    
                        setTimeout(function(){

                            animaPath(iGlow);

                        },((Math.random()*2000)+500)*moltiplicatoreTempo);
                        
                    }
                    
                });
                
            }
            
        }
        
    }
    
    
    
    function lanciaAnimazione(){
            
        for(var i=0;i< coordinate.length ;i++){ 
             
            animaPath(i); 
            
        }
    
    }
    
    
    
    
    
    
    $(function(){

        var varianteColore = opzioni.varianti[1];
        var colore = varianteColore.selezionato;

        var i;

        $('#main').css("background",colore);




        if(!isPcb){
            
            $('#maschera').attr("src","maschera2.png");
            
            
            $('.glowpcb').remove();
            
        }
        
        if(isPcb){
            
            
            $('.glow').addClass("glowpcb");
            
            
            
            $('.glow').attr("src","glowpcb.png");
            
        }

        $('#main').show();

        
        for(i=0;i< coordinate.length ;i++){
        
            elementiGlow[i] = $('#glow'+i);
        
        }
        


        setTimeout(function(){
            
            lanciaAnimazione();

            

            if(isRegolare){

                setInterval(function(){

                    lanciaAnimazione();
                    
                },2000);

            }
            
            
            
        },400);


    });
    
</script>


<?php require '../common/scala_fine.php'; ?>



</body>
</html>
