#include <Adafruit_NeoPixel.h>
#define LOG Serial.println
#define DURATA_STEP_MS 30
#define STATO(X) i++;nomiStati[i]=#X;if(stato==i)X
unsigned long step = 0;char * nomiStati[50];

//////////////////////////////////////////////////////////////////////////////
// COLORI
//////////////////////////////////////////////////////////////////////////////

#define VERDEPHALA 80,135,0

#define SPENTO 0,0,0
#define ROSSO 255,0,0
#define VERDE 0,255,0
#define BLU 0,0,255
#define GIALLO 255,255,0
#define ARANCIONE 160,22,0
#define VIOLA 255,0,255
#define AZZURRO 0,255,255
#define BIANCO 255,255,255


//////////////////////////////////////////////////////////////////////////////
// SEGMENTI
//////////////////////////////////////////////////////////////////////////////

#define NUMPIXEL 288  // num led + 1 per la striscia statica

#define TUTTI 0,NUMPIXEL-1
#define ANELLO_ARDUINO 0,27
#define SCHEDA_MADRE 28,51
#define UNITA_OTTICA 52,64

// da trovare:

#define SETTORE_INFETTO 65,84
#define SETTORE_INFETTO1 65,74 // sono paralleli
#define SETTORE_INFETTO2 75,84 // sono paralleli

#define SENSORE_PROSSIMITA 85,108
#define CIRCUITO_SENSORI 109,134
#define BASE 135,286
#define BASE_FRONTALE 208,258

#define DISSIPATORE NUMPIXEL-1,NUMPIXEL-1




//////////////////////////////////////////////////////////////////////////////
// STATI
//////////////////////////////////////////////////////////////////////////////

int listaStati(int stato, int i) {
    
//    STATO( statoRicercaSegmenti() ); 

    
    
    
//    STATO( setSegmento(TUTTI,SPENTO) );
    
    STATO( statoVerdeMatrixPhala() );
    STATO( statoVerdeMatrix() );
    STATO( statoAnimazioni1() );
    STATO( statoBlu() );
    
    /*
    STATO( statoAnimazioni2() );
    STATO( statoAnimazioni1() );
    STATO( statoBlu() );
    STATO( statoVerdeCode() );
    STATO( statoVerdeMatrix() );
    STATO( statoRosso() );
    STATO( statoGiallo() );
    STATO( statoViola() );
    
    STATO( statoMotoLabirinto() ); 
    
    STATO( statoLisergico1() );
    STATO( statoLisergico2() );
    
    STATO( spectrumCycling(TUTTI) );
    
    STATO( setSegmento(TUTTI,SPENTO) );
    */
    
    return i;
}




// stati default:

void statoAnimazioni1(){
    effettoPixelScia(ANELLO_ARDUINO, ROSSO, 0);
    effettoPixelScia(ANELLO_ARDUINO, ROSSO, 14);
    
    setSegmento(SCHEDA_MADRE, BLU);
    pulsazione(DISSIPATORE, BLU, 0.2);
    pulsazione(UNITA_OTTICA, BLU, 0.2);
    infezioneAnimata(SETTORE_INFETTO1);
    setSegmento(CIRCUITO_SENSORI, BLU);
    
    effettoPixelScia(BASE, GIALLO, 15); 
    effettoPixelScia(BASE, GIALLO, 90); 
    
    
    effettoSensoroneCaricamentoDaBlu(SENSORE_PROSSIMITA);
    // proiettore: circuito tron
}

void statoAnimazioni2(){
    pulsazione(ANELLO_ARDUINO, BLU, 0.2);
    setSegmento(SCHEDA_MADRE, BLU);
    pulsazione(DISSIPATORE, BLU, 0.2);
    pulsazione(UNITA_OTTICA, BLU, 0.2);
    infezioneAnimata(SETTORE_INFETTO1);
    setSegmento(CIRCUITO_SENSORI, BLU);
    pulsazione(BASE, BLU , 0.3);
    
    effettoSensoroneCaricamentoDaBlu(SENSORE_PROSSIMITA);
    
    // proiettore: disco tron
}



void statoMotoLabirinto(){

    setSegmento(TUTTI,0,50,50);
    
    setSegmento(BASE,SPENTO);
    
    effettoPixelScia(BASE, BLU, 0);
    effettoPixelScia(BASE, VERDE, 20);
//    effettoPixelScia(BASE, GIALLO, 40);
    effettoPixelScia(BASE, ROSSO, 40);
//    effettoPixelScia(BASE, VIOLA, 80);
    
    
    setSegmento(ANELLO_ARDUINO,SPENTO);
    
    effettoPixelScia(ANELLO_ARDUINO, VERDE, 0);
    effettoPixelScia(ANELLO_ARDUINO, GIALLO, 9);
    effettoPixelScia(ANELLO_ARDUINO, ROSSO, 18);
    
    
//    effettoPixelScia(TUTTI-1, BLU, 0);
//    effettoPixelScia(TUTTI-1, VERDE, 60);
//    effettoPixelScia(TUTTI-1, GIALLO, 120);
//    effettoPixelScia(TUTTI-1, ROSSO, 180);
//    effettoPixelScia(TUTTI-1, VIOLA, 240);
    
}






void statoLisergico1(){

    wave(0,134); // tutto tranne base e anello

    wave(BASE);

//    effettoPixelScia(ANELLO_ARDUINO, VERDE, 0);
//    effettoPixelScia(ANELLO_ARDUINO, GIALLO, 9);
//    effettoPixelScia(ANELLO_ARDUINO, ROSSO, 18);
    
//- proiettore: video trip? (trovare e embeddare in html)
    
}

void statoLisergico2(){

    
    setSegmento(TUTTI, 0,0,150);
    

    wave(ANELLO_ARDUINO);
    wave(BASE);

    
//- proiettore: video trip? (trovare e embeddare in html)
    
}







void statoBlu(){
    
    effettoPixelScia(ANELLO_ARDUINO, BLU, 0);
    //pulsazione(ANELLO_ARDUINO, BLU, 0.2);
    
    setSegmento(SCHEDA_MADRE, BLU);
    setSegmento(DISSIPATORE, BLU);
    pulsazione(UNITA_OTTICA, BLU, 0.2);
    
    setSegmento(SETTORE_INFETTO, BLU);
    setSegmento(CIRCUITO_SENSORI, BLU);
    
    setSegmento(BASE, BLU);
    
    effettoSensoroneCaricamentoDaBlu(SENSORE_PROSSIMITA);
    // proiettore: linee tron regolari
    
}

void statoViola(){
    
    effettoPixelScia(ANELLO_ARDUINO, 60,0,65, 0);
    //pulsazione(ANELLO_ARDUINO, BLU, 0.2);
    
    setSegmento(28,134, 90,0,100);
    
    setSegmento(BASE, 35,0,50);
    
//    effettoSensoroneCaricamentoDaRosso(SENSORE_PROSSIMITA);
    
}



void statoVerdeCode(){
    
    float intensitaPulsazione = 0.2;
    
    effettoPixelScia(ANELLO_ARDUINO, VERDE, 0);
    
    
    setSegmento(SCHEDA_MADRE, VERDE);
    
    pulsazione(DISSIPATORE, VERDE, intensitaPulsazione);
    pulsazione(UNITA_OTTICA, VERDE, intensitaPulsazione);
    pulsazione(SETTORE_INFETTO, VERDE, intensitaPulsazione);
    pulsazione(CIRCUITO_SENSORI, VERDE, intensitaPulsazione);
    
    //- base: pulsante verde a macchie (DA SVILUPPARE)
    pulsazione(BASE, VERDE, intensitaPulsazione);
    
    effettoSensoroneCaricamentoDaVerde(SENSORE_PROSSIMITA);
    
    // proiettore: scrolling code verde
    
}

void statoVerdeMatrixPhala(){
    
    float intensitaPulsazione = 0.2;
    int msPulsazione = 3000;
    
    effettoPixelScia(ANELLO_ARDUINO, VERDEPHALA, 0);
    effettoPixelScia(ANELLO_ARDUINO, VERDEPHALA, 9);
    effettoPixelScia(ANELLO_ARDUINO, VERDEPHALA, 18);
    
    
    setSegmento(SCHEDA_MADRE, VERDEPHALA);
    
    pulsazione(DISSIPATORE, VERDEPHALA, intensitaPulsazione, msPulsazione);
    pulsazione(UNITA_OTTICA, VERDEPHALA, intensitaPulsazione, msPulsazione);
    pulsazione(SETTORE_INFETTO, VERDEPHALA, intensitaPulsazione, msPulsazione);
    pulsazione(CIRCUITO_SENSORI, VERDEPHALA, intensitaPulsazione, msPulsazione);
    
    //- base: pulsante verde a macchie (DA SVILUPPARE)
    pulsazione(BASE, VERDEPHALA, intensitaPulsazione, msPulsazione);
    
    effettoSensoroneCaricamentoDaVerdePhala(SENSORE_PROSSIMITA);
    
    // proiettore: scrolling code verde
    
}

void statoVerdeMatrix(){
    
    float intensitaPulsazione = 0.2;
    int msPulsazione = 3000;
    
    effettoPixelScia(ANELLO_ARDUINO, VERDE, 0);
    effettoPixelScia(ANELLO_ARDUINO, VERDE, 9);
    effettoPixelScia(ANELLO_ARDUINO, VERDE, 18);
    
    
    setSegmento(SCHEDA_MADRE, VERDE);
    
    pulsazione(DISSIPATORE, VERDE, intensitaPulsazione, msPulsazione);
    pulsazione(UNITA_OTTICA, VERDE, intensitaPulsazione, msPulsazione);
    pulsazione(SETTORE_INFETTO, VERDE, intensitaPulsazione, msPulsazione);
    pulsazione(CIRCUITO_SENSORI, VERDE, intensitaPulsazione, msPulsazione);
    
    //- base: pulsante verde a macchie (DA SVILUPPARE)
    pulsazione(BASE, VERDE, intensitaPulsazione, msPulsazione);
    
    effettoSensoroneCaricamentoDaVerde(SENSORE_PROSSIMITA);
    
    // proiettore: scrolling code verde
    
}


void statoRosso(){
    
    pulsazione(TUTTI, ROSSO, 0.1);
    
    setSegmento(ANELLO_ARDUINO, SPENTO);
    effettoPixelScia(ANELLO_ARDUINO, ROSSO, 0);
    
    effettoSensoroneCaricamentoDaRosso(SENSORE_PROSSIMITA);
    
    //- proiettore: allarme
    
}


void statoGiallo(){
    
    setSegmento(TUTTI, ARANCIONE);
    effettoSensoroneCaricamentoDaRosso(SENSORE_PROSSIMITA);
    
    // proiettore: tumbleweed
    
}








int modalitaRicercaSegmentiAttiva = 0;
int ricercaCorrente = 0;
void statoRicercaSegmenti(){

    modalitaRicercaSegmentiAttiva = 1;
    
    int i = ricercaCorrente;
    
    setSegmento(TUTTI,SPENTO);
    setLed(i,ROSSO);
    setLed(i+1,VERDE);
    setLed(i+2,BLU);
    setLed(i+3,GIALLO);
    setLed(i+4,VIOLA);
    
}



//////////////////////////////////////////////////////////////////////////////
// effetti
//////////////////////////////////////////////////////////////////////////////


void wave(int da, int a){
    
    int i = getStepCustom(da, a);

    int numpx = a-da+1;
    float srcDiff = a-da;
    
    for (int j = 0; j < numpx; j++){

        int start = i+j;
        
        if(start>=(da+numpx)) start -= numpx;
        
        float hue = (start-da) * 359.0 / srcDiff;
        
        int r,g,b;
        hsvToColore(hue, 100, 100, &r, &g, &b);
        setLed(a-j, r,g,b);

    }

}

void spectrumCycling(int da, int a){

    int i = getStepCustom(0, 359);

    int r,g,b;
    hsvToColore(i, 100, 100, &r, &g, &b);
    
    setSegmento(da,a,r,g,b);

}

void statoSpiraleBlu() {

 setStrisciaStatica(0, 0, 255);

    int i = getStepCustom(0, NUMPIXEL-1);

    setSegmento(0, i, BLU);

}




void effettoPixelScia(int da, int a, int r, int g, int b, int offset){

    int invertiSenso_0_1 = 0; // disattivato, da problemi
    
    int i = getStepCustom(da,a)-offset;
    int scia = 6;

    setLedPixelScia(i, 255, da,a,  r,g,b,invertiSenso_0_1);

    int j,val;
    for (j = 1; j <= scia; j++){

        int val = max(  255 - ((255 / scia) * j),0 );
        
        setLedPixelScia(i - j, val, da,a,  r,g,b,invertiSenso_0_1);

    }
    
    setLedPixelScia(i-j+1, 20, da,a,  r,g,b,invertiSenso_0_1);
    setLedPixelScia(i-j, 10, da,a,  r,g,b,invertiSenso_0_1);
    setLedPixelScia(i-j-1, 5, da,a,  r,g,b,invertiSenso_0_1);
    setLedPixelScia(i-j-2, 2, da,a,  r,g,b,invertiSenso_0_1);
    setLedPixelScia(i-j-3, 1, da,a,  r,g,b,invertiSenso_0_1);
    
}


void setLedPixelScia(int i, int val, int da, int a, int r, int g, int b, int invertiSenso_0_1){

    if(r!=0) r=val;
    if(g!=0) g=val;
    if(b!=0) b=val;
  
    if(i<da)
	i+= (a-da)+1;
        
    if(invertiSenso_0_1)
	setLed(a-i, val,0,val);
    else
	setLed(i, r,g,b);

}







void pulsazione(int da, int a, int r, int g, int b, float luminositaMin_0_1, int durataPulsazioneMs){

    // un buon valore per luminositaMin_0_1 e` 0.3
    
    int numStepPulsazione = durataPulsazioneMs/DURATA_STEP_MS;
    
    int i = getStepCustom(0,numStepPulsazione);

    float intensita = cos(mappaValoreFloat(i, 0,numStepPulsazione, 0,2.0*PI));

    intensita = mappaValoreFloat( intensita, -1,1, luminositaMin_0_1,1.0);

    setSegmento(da, a, r*intensita,g*intensita,b*intensita);
    
}
void pulsazione(int da, int a, int r, int g, int b, float luminositaMin_0_1){
    pulsazione(da,a,r,g,b,luminositaMin_0_1,4000);
}



void infezioneAnimata(int da,int a){

    // da tenere conto che sono due strisce....
    
    // offset seconda striscia: +10  
    int offset = 10;
    
    // si puo` giocare con offset per ottenere un effetto "canone"?
    
    
    int numpx = a-da+1;
    
    int i = getStepCustom(0,1199);
    
    
    float pulsazione = cos(mappaValoreFloat(i, 0,1000, 0,20.0*PI));
    pulsazione = mappaValoreFloat( pulsazione, -1,1, 0.6,0);
    
    if(i>=0&&i<400){
        // fase 1 infezione circa 12 secondi
        
        
        
        // togliere da ogni pixel una quantità` di blu graduale
        
        int avanzamento = mappaValoreFloat(i, 0,400, 0,1400);
        
        for(int j = 0; j < numpx; j++){
            
            
            int x = avanzamento * mappaValoreFloat(j, 0,numpx+1, 1.0,0.0); // inverso, va da 1 a 0
            
            
            
            int intensBlu = 255-x;
            
            if(intensBlu<0) intensBlu = 0;
            
            float coeffBlu = mappaValoreFloat(intensBlu, 0,140, 1.0,0.0);
            
            float coeffTempo = mappaValoreFloat(i, 0,400, 0.0,1.0);
            
            if(coeffBlu<0.0) coeffBlu=0.0;
            
            pulsazione *=  coeffBlu*coeffTempo;
            
            
            int intensVerde = 255*(1.0-pulsazione);
            
            setLed(da+j, 0,intensVerde,intensBlu);
            
            setLed(da+j+offset, 0,intensVerde,intensBlu);

        }

        
        
        
        
    }else if(i>=400&&i<900){
        // fase 2 verde pulsante (magari non uniforme) 8 secondi
        
//        float intensita = cos(mappaValoreFloat(i, 400,700, 0,6.0*PI));
        
//        intensita = mappaValoreFloat( intensita, -1,1, 75,255);
        
        int intensVerde = 255*(1.0-pulsazione);
        
        setSegmento(da, a, 0,intensVerde,0);
        
        setSegmento(da+offset, a+offset, 0,intensVerde,0);
        
    }else if(i>=900&&i<1200){
        // fase 3 disinfezione 3 secondi
        
        float intensBlu = mappaValoreBiQuad_0_255(i, 900,1200);
        
        if(intensBlu<0) intensBlu=255;
        if(intensBlu>255) intensBlu=255;
        
        
        float coeffBlu = mappaValoreFloat(intensBlu, 0,50, 1.0,0.0);
        if(coeffBlu<0.0) coeffBlu=0.0;    
        pulsazione *=  coeffBlu;
        
        
        int intensVerde = 255*(1.0-pulsazione);
        
        
        float irregolarita = mappaValoreBiQuadGenerico(i, 900,1200, 1.0,0.0);
        
        
        setSegmento(da, a, 0,intensVerde,intensBlu);
        setSegmento(da+offset, a+offset, 0,intensVerde,intensBlu);
        
        
        setLed(da+0, 0,intensVerde,intensBlu-(40*irregolarita));
        setLed(da+1, 0,intensVerde,intensBlu-(120*irregolarita));
        setLed(da+2, 0,intensVerde,intensBlu-(60*irregolarita));
        
        setLed(da+4, 0,intensVerde,intensBlu-(60*irregolarita));
        setLed(da+5, 0,intensVerde,intensBlu-(120*irregolarita));
        setLed(da+6, 0,intensVerde,intensBlu-(255*irregolarita));
        setLed(da+7, 0,intensVerde,intensBlu-(200*irregolarita));
        setLed(da+8, 0,intensVerde,intensBlu-(120*irregolarita));
        
    }
    
}





float normFloat(float valore, float min, float max){
    if(valore<min) return min;
    if(valore>max) return max;
    return valore;
}

int normInt(int valore, int min, int max){
    if(valore<min) return min;
    if(valore>max) return max;
    return valore;
}


void effettoSensoroneCaricamentoDaRosso(int da, int a){
    
    // rosso -> blu  hue 0-->60 , POI saturazione da 100.0 a 0.0
    
    float stato01 = getPercentualeRaggiungimentoLongPressBott1();
    
    float h,s,v;
    
    float soglia = 0.4;
    
    if(stato01<soglia){
    
        v = 100.0;
        s = 100.0;
        h = mappaValoreFloat(stato01, 0.0,soglia, 0.0,30.0);
        
    }else{
    
        v = 100.0;
        s = mappaValoreBiQuadGenerico(stato01, soglia,1.0, 100.0,0.0);
        h = mappaValoreFloat(stato01, soglia,1.0, 30.0,60.0);
        
    }
    
    
    int r,g,b;
    hsvToColore(h,s,v, &r, &g, &b);
    setSegmento(da,a,r,g,b);
    
}

void effettoSensoroneCaricamentoDaVerde(int da, int a){
    
    
    float stato01 = getPercentualeRaggiungimentoLongPressBott1();
    
    int r,g,b;
    
    r = mappaValoreFloat(stato01, 0.0,1.0, 0.0,255.0);
    g = 255;
    b = mappaValoreFloat(stato01, 0.0,1.0, 0.0,255.0);
    
    setSegmento(da,a,r,g,b);

}

void effettoSensoroneCaricamentoDaVerdePhala(int da, int a){
    
    
    float stato01 = getPercentualeRaggiungimentoLongPressBott1();
    
    int r,g,b;
    
    r = mappaValoreFloat(stato01, 0.0,1.0, 80.0,255.0);
    g = 255;
    b = mappaValoreFloat(stato01, 0.0,1.0, 0.0,255.0);
    
    setSegmento(da,a,r,g,b);

}



void effettoSensoroneCaricamentoDaBlu(int da, int a){
    
    float stato01 = getPercentualeRaggiungimentoLongPressBott1();
    
    float h,s,v;
    
    v = 100.0;
    s = 100.0;
    h = mappaValoreFloat(stato01, 0.0,1.0, 240.0,0.0);
    
    
    int r,g,b;
    hsvToColore(h,s,v, &r, &g, &b);
    setSegmento(da,a,r,g,b);
    
    

}







//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
// IMPLEMENTAZIONE
//////////////////////////////////////////////////////////////////////////////




#define PIN 12
#define PINBOTTONE1 8
#define PINBOTTONE2 2

#define MS_LONG_PRESS 2000


// Parameter 1 = number of pixels in strip
// Parameter 2 = pin number (most are valid)
// Parameter 3 = pixel type flags, add together as needed:
//   NEO_KHZ800  800 KHz bitstream (most NeoPixel products w/WS2812 LEDs)
//   NEO_KHZ400  400 KHz (classic 'v1' (not v2) FLORA pixels, WS2811 drivers)
//   NEO_GRB     Pixels are wired for GRB bitstream (most NeoPixel products)
//   NEO_RGB     Pixels are wired for RGB bitstream (v1 FLORA pixels, not v2)
Adafruit_NeoPixel strip = Adafruit_NeoPixel(NUMPIXEL, PIN, NEO_GRB + NEO_KHZ800);

int stato = 0;

int eraPremuto = 0;
int controllaLongPress = 0;
unsigned long msUltimaPressione = 0;

int eraPremuto2 = 0;
int controllaLongPress2 = 0;
unsigned long msUltimaPressione2 = 0;

int primoInvioSeriale = 0;


// RGB striscia statica:
int rStrisciaStatica = 0;
int gStrisciaStatica = 0;
int bStrisciaStatica = 0;


int luminositaMax = 255;


void setup() {
    
    pinMode(PINBOTTONE1, LOW);
    pinMode(PINBOTTONE2, LOW);
    
    strip.begin();
    strip.show();

    Serial.begin(9600); 
    
    // RGB striscia statica:
    pinMode(3, OUTPUT);
    pinMode(5, OUTPUT);
    pinMode(6, OUTPUT);

}

void loop() {

    aggiornaStatoCorrente();

    setSegmento(TUTTI, SPENTO); 
    
    int ultimoStato = listaStati(stato, -1);

    if(stato > ultimoStato)
        stato = 0;
    else if(stato < 0)
        stato = ultimoStato+(stato+1);

    applica();
    delay(DURATA_STEP_MS);
    
    //LOG("_I_step:" + String(step)+"_F_");

    riceviStatoDaControllerWindows(ultimoStato);
    aggiornaControllerWindows(ultimoStato);
    
    step++;

}



void riceviStatoDaControllerWindows(int ultimoStato){

    if (Serial.available() > 0) {
        
        //LOG("_I_aaabbbcccddd_F_"); // nome funzione
        // read the incoming byte:
        int ret = Serial.read();
        
        //LOG("_I_ricevuto_byte:"+String(ret)+"_F_"); // nome funzione
        
        
        if(ret>=200){
            
            if(ret>=200 && ret<=210){
                
                luminositaMax = mappaValoreBiQuad_0_255( ret-200, 0,10);
                
                //LOG("_I_luminositaGG:"+String(luminositaMax)+"_F_"); 
            }
            //esegui comandi speciali
            
            if(ret==250){
                
                // invia lista stati
                primoInvioSeriale=0;
            
            }
            
            return;
        }
        
        
        ret--;
        if(ret>=0 && ret<=ultimoStato){
            
            stato = ret;
            step = 0;
            
        }
        
    }
    
}



void aggiornaControllerWindows(int ultimoNumStato){
  
  if(primoInvioSeriale==0){
  
      primoInvioSeriale=1;
      
      Serial.print("_I_");
      
      for (int i = 0; i <= ultimoNumStato; i++){
            
          char * nome = nomiStati[i];
          
          Serial.print(String(i+1)+"_-_"+String(ultimoNumStato+1)+"_-_"+nome+"_S_");
          
      }

      Serial.println("_F_");
      
  }
  
  if(step==0){

    char * nome = nomiStati[stato];
    
    LOG("_I_"+String(stato+1)+"_-_"+String(ultimoNumStato+1)+"_-_"+nome+"_F_"); // nome funzione
    
  }
  
}


int getStepCustom(int min, int max, int msStep, int incremento){

    if (msStep < DURATA_STEP_MS)
        msStep = DURATA_STEP_MS;

    int range = (max - min) / incremento;

    unsigned long stepCustomLong = step * (((float) DURATA_STEP_MS) / ((float) msStep));

    stepCustomLong = (stepCustomLong % (range+1) )*incremento;

    return (int)(stepCustomLong + min);

}

int getStepCustom(int min, int max, int msStep){

    if (msStep < DURATA_STEP_MS)
        msStep = DURATA_STEP_MS;

    int range = max - min;

    unsigned long stepCustomLong = step * (((float) DURATA_STEP_MS) / ((float) msStep));

    stepCustomLong = stepCustomLong % (range+1);

    return (int) (stepCustomLong + min);

}

int getStepCustom(int min, int max) {
    return min + (step % (max + 1 - min));
}













float mappaValoreFloat(float valore, float srcRangeDa, float srcRangeA, float dstRangeDa, float dstRangeA){
    
    int inversa = 0;
    
    if(dstRangeA<dstRangeDa){
        inversa = 1;
        float temp = dstRangeDa;
        dstRangeDa = dstRangeA;
        dstRangeA = temp;
    }
    
    float srcDiff = srcRangeA-srcRangeDa;
    float dstDiff = dstRangeA-dstRangeDa;
    
    // (valore-rangeda) : srcDiff = x : dstDiff
    
    float proporzione = (valore-srcRangeDa) * dstDiff / srcDiff;
    
    if(inversa){
        
        return (dstDiff-proporzione) + dstRangeDa;
        
    }else{
        
        return proporzione + dstRangeDa;
        
    }
    
    
}

int mappaValoreInt(int valore, int srcRangeDa, int srcRangeA, int dstRangeDa, int dstRangeA){
    
    int inversa = 0;
    
    if(dstRangeA<dstRangeDa){
        inversa = 1;
        int temp = dstRangeDa;
        dstRangeDa = dstRangeA;
        dstRangeA = temp;
    }
    
    int srcDiff = srcRangeA-srcRangeDa;
    int dstDiff = dstRangeA-dstRangeDa;
    
    // (valore-rangeda) : srcDiff = x : dstDiff
    
    int proporzione = (valore-srcRangeDa) * dstDiff / srcDiff;
    
    if(inversa){
        
        return (dstDiff-proporzione) + dstRangeDa;
        
    }else{
        
        return proporzione + dstRangeDa;
        
    }
    
}





int mappaValoreQuad_0_255(float valore, float srcRangeDa, float srcRangeA){
  
  float lineare = mappaValoreFloat(valore, srcRangeDa, srcRangeA, 0.0, 16.0);
  
  float quad = lineare*lineare;
  
  int ret = (int)quad;
  
  if(ret<0) ret = 0;
  if(ret>255) ret = 255;
  
  return ret;
  
}

float mappaValoreQuadGenerico(float valore, float srcRangeDa, float srcRangeA, float dstRangeDa, float dstRangeA){
  
  int ret = mappaValoreQuad_0_255(valore, srcRangeDa, srcRangeA);
  
  return mappaValoreFloat(ret, 0,255, dstRangeDa,dstRangeA);
  
}




int mappaValoreBiQuad_0_255(float valore, float srcRangeDa, float srcRangeA){
  
  float lineare = mappaValoreFloat(valore, srcRangeDa, srcRangeA, 0.0, 4.0);
  
  float quad = lineare*lineare*lineare*lineare;
  
  int ret = (int)quad;
  
  if(ret<0) ret = 0;
  if(ret>255) ret = 255;
  
  return ret;
  
}

float mappaValoreBiQuadGenerico(float valore, float srcRangeDa, float srcRangeA, float dstRangeDa, float dstRangeA){
  
  int ret = mappaValoreBiQuad_0_255(valore, srcRangeDa, srcRangeA);
  
  return mappaValoreFloat(ret, 0,255, dstRangeDa,dstRangeA);
  
}











void applica() {
    strip.show();
    analogWrite(5, rStrisciaStatica);
    analogWrite(3, gStrisciaStatica);
    analogWrite(6, bStrisciaStatica);
}


void setLed(int i, int r, int g, int b) {
    
    if(r<0) r=0;
    if(r>255) r=255;
    
    if(g<0) g=0;
    if(g>255) g=255;
    
    if(b<0) b=0;
    if(b>255) b=255;
    
    if(luminositaMax<255){
        r = mappaValoreInt(r, 0,255, 0,luminositaMax);
        g = mappaValoreInt(g, 0,255, 0,luminositaMax);
        b = mappaValoreInt(b, 0,255, 0,luminositaMax);
    }
    
    if (i < 0 || i >= NUMPIXEL) return;
    
    if(i==NUMPIXEL-1){
    
        setStrisciaStatica(r,g,b);
    
    }else{
    
        strip.setPixelColor(i, strip.Color(r, g, b));
    
    }
    
}

void setSegmento(int da, int a, int r, int g, int b) {
    for (int i = da; i <= a; i++) {
        setLed(i, r, g, b);
    }
}




void setStrisciaStatica(int r, int g, int b){
    
    if(r<0) r=0;
    if(r>255) r=255;
    
    if(g<0) g=0;
    if(g>255) g=255;
    
    if(b<0) b=0;
    if(b>255) b=255;
    
    rStrisciaStatica = r;
    gStrisciaStatica = g;
    bStrisciaStatica = b;
    
}






void bottone1ShortPress(){
    
    stato++;
    
    step = 0;
    
}

void bottone1LongPress(){
    
    //stato = stato-2; // -2 perche' era gia' andato a +1

    //step = 0;
    
    // non fa niente, "carica" il sensore ---> annullare l'effetto dello short press 1
    
}

void bottone2ShortPress(){
    
    if(modalitaRicercaSegmentiAttiva){

        ricercaCorrente += 5;

        LOG("_I_ricerca(rosso=+0):"+String(ricercaCorrente)+"_F_");

    }else{

        LOG("_I__AZIONE_CUSTOM_1_F_");

    }

}

void bottone2LongPress(){
    
    LOG("_I__AZIONE_CUSTOM_2_F_");

}




float percentualeRaggiungimentoLongPressBott1 = 0.0;
float getPercentualeRaggiungimentoLongPressBott1(){

    if(controllaLongPress==0 && percentualeRaggiungimentoLongPressBott1>0.0){
    
        // pressione terminata ma sensore ancora "carico", ritorno gradualmente a 0
        percentualeRaggiungimentoLongPressBott1 -= (1.0/ (4500.0/DURATA_STEP_MS)); //10 secondi
    
    }
    
    if(percentualeRaggiungimentoLongPressBott1>1.0) percentualeRaggiungimentoLongPressBott1 = 1.0;
    if(percentualeRaggiungimentoLongPressBott1<0.0) percentualeRaggiungimentoLongPressBott1 = 0.0;
    
    return percentualeRaggiungimentoLongPressBott1;
    
}



void aggiornaStatoCorrente(){
    
    int isPremuto = digitalRead(PINBOTTONE1) == HIGH;

    if (isPremuto && (!eraPremuto)){

//        bottone1ShortPress();
        
        msUltimaPressione = millis();
        
        controllaLongPress = 1;
        
    }else if(controllaLongPress && isPremuto && eraPremuto){
        
        int diffMillis = millis()-msUltimaPressione;
        
        percentualeRaggiungimentoLongPressBott1 = mappaValoreFloat(diffMillis, 0.0,MS_LONG_PRESS, 0.0,1.0);
        
        
    }else if(controllaLongPress && !isPremuto && eraPremuto){
    
        // rilascio
        
        int diffMillis = millis()-msUltimaPressione;
        
        if( diffMillis > MS_LONG_PRESS ){
            
            bottone1LongPress();
            
        }else{
        
            bottone1ShortPress();
        
        }
        
        controllaLongPress = 0;
        
    }
    
    eraPremuto = isPremuto;

    
    
    
    
    int isPremuto2 = digitalRead(PINBOTTONE2) == HIGH;

    if (isPremuto2 && (!eraPremuto2)){

        
        bottone2ShortPress();
        

        msUltimaPressione2 = millis();
        
        controllaLongPress2 = 1;
        
    }else if(controllaLongPress2 && isPremuto2 && eraPremuto2){
        
        if( (millis()-msUltimaPressione2) > MS_LONG_PRESS ){
        
            
            bottone2LongPress();
            
            
            controllaLongPress2 = 0;

        }
        
    }
    
    eraPremuto2 = isPremuto2;

}




void hsvToColore(float h, float s, float v, int * rp, int * gp, int * bp){

    int i, r = 0, g = 0, b = 0;
    float f, p, q, t;

    h = max(0.0, min(360.0, h));
    s = max(0.0, min(100.0, s));
    v = max(0.0, min(100.0, v));

    s /= 100;
    v /= 100;

    if (s == 0) {
        // Achromatic (grey)
        r = g = b = round(v * 255);
        *rp = r;
        *gp = g;
        *bp = b;
        return;
    }

    h /= 60; // sector 0 to 5
    i = floor(h);
    f = h - i; // factorial part of h
    p = v * (1 - s);
    q = v * (1 - s * f);
    t = v * (1 - s * (1 - f));
    switch (i) {
        case 0:
            r = round(255 * v);
            g = round(255 * t);
            b = round(255 * p);
            break;
        case 1:
            r = round(255 * q);
            g = round(255 * v);
            b = round(255 * p);
            break;
        case 2:
            r = round(255 * p);
            g = round(255 * v);
            b = round(255 * t);
            break;
        case 3:
            r = round(255 * p);
            g = round(255 * q);
            b = round(255 * v);
            break;
        case 4:
            r = round(255 * t);
            g = round(255 * p);
            b = round(255 * v);
            break;
        default: // case 5:
            r = round(255 * v);
            g = round(255 * p);
            b = round(255 * q);
    }
    
    *rp = r;
    *gp = g;
    *bp = b;
    
}



